WizardController

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.wizard.client
Class WizardController

    java.lang.Object
      org.openswing.swing.wizard.client.WizardController

public class WizardController
extends java.lang.Object

Title: OpenSwing Framework

Description: This class defines the navigation logic used to show a WizardInnerPanel into the WizardPanel, when pressing "Back"/"Next" buttons. A programmer can define the method getFirstPanelId() to specify which panel must be showed first. If this class is not derived, then panels are showed in the same order used to add them to the WizardPanel.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`WizardController()`

Method Summary
`java.lang.String` | `getBackPanelId(WizardPanel wizard)` Method called by WizardPanel when when pressing "Back" button
`java.lang.String` | `getFirstPanelId(WizardPanel wizard)` Method called by WizardPanel when showing the panel the first time
`java.lang.String` | `getLastPanelId(WizardPanel wizard)` Method called by WizardPanel to check which panel is the last one
`java.lang.String` | `getNextPanelId(WizardPanel wizard)` Method called by WizardPanel when pressing "Next" button

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WizardController

    public WizardController()

Method Detail

### getFirstPanelId

    public java.lang.String getFirstPanelId(WizardPanel wizard)

  Method called by WizardPanel when showing the panel the first time

  Parameters:
    `wizard` - wizard panel
  Returns:
    panel identifier of the panel to show

### getLastPanelId

    public java.lang.String getLastPanelId(WizardPanel wizard)

  Method called by WizardPanel to check which panel is the last one

  Parameters:
    `wizard` - wizard panel
  Returns:
    panel identifier of the last panel

### getBackPanelId

    public java.lang.String getBackPanelId(WizardPanel wizard)

  Method called by WizardPanel when when pressing "Back" button

  Parameters:
    `wizard` - wizard panel
  Returns:
    panel identifier of the panel to show

### getNextPanelId

    public java.lang.String getNextPanelId(WizardPanel wizard)

  Method called by WizardPanel when pressing "Next" button

  Parameters:
    `wizard` - wizard panel
  Returns:
    panel identifier of the panel to show

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD